﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration.Install;
using System.Linq;
using System.Configuration;
using System.Xml;


namespace TALCustomeAction
{
    [RunInstaller(true)]
    public partial class TALCustomeAction : Installer
    {
        public TALCustomeAction()
        {
            InitializeComponent();
        }

        public override void Install(IDictionary stateSaver)
        {
            base.Install(stateSaver);

            string appPath = this.Context.Parameters["appPath"];
            try
            {
                XmlDocument originalXml = new XmlDocument();
                originalXml.Load(appPath + @"TataAutoLoginApp.exe.config");
                XmlNode configuration = originalXml.SelectSingleNode("configuration");
                XmlNode appSettings = configuration.SelectSingleNode("appSettings");
                XmlNode add1 = originalXml.CreateNode(XmlNodeType.Element, "add", null);
                XmlAttribute key1 = originalXml.CreateAttribute("key");
                XmlAttribute value1 = originalXml.CreateAttribute("value");
                key1.Value = "onURL";
                value1.Value = "https://loginban.tataindicombroadband.in:8443/home?t=foxifzwp&t=fv4jt7de";
                add1.Attributes.Append(key1);
                add1.Attributes.Append(value1);
                appSettings.AppendChild(add1);
                XmlNode add2 = originalXml.CreateNode(XmlNodeType.Element, "add", null);
                XmlAttribute key2 = originalXml.CreateAttribute("key");
                XmlAttribute value2 = originalXml.CreateAttribute("value");
                key2.Value = "offURL";
                value2.Value = "https://loginban.tataindicombroadband.in:8443/accountLogoff/home";
                add2.Attributes.Append(key2);
                add2.Attributes.Append(value2);
                appSettings.AppendChild(add2);
                originalXml.Save(appPath + @"TataAutoLoginApp.exe.config");

            }
            catch (Exception ex)
            {
                System.Windows.Forms.MessageBox.Show(ex.Message);
            }
        }

    }
}
